#include <fmscan.h>	
#include <tea5764.h>
#include <delay.h>
#include <timers.h>


bit Dir;	   //search direction
unsigned int Freq;	 //current frequency

//scan for a radio station start at current frequency
void TEAScan(void)
{
	if(Dir)
		{
		Freq+=1;
		}
	else
		{
		Freq-=1;
		}

	//Start a search
	Dir=tea5764_search(Freq,Dir);

		//get found frequency
	Freq=tea5764_GetFreq();

	//and preset again to reduce offset
	tea5764_SetFreq(Freq);	 
}

void TEA_Init()
{
//init data
Dir=1;
Delay10ms(10);
Freq=Fr_Save-4;	//chanal bandwith is aprox 300k
tea5764_init();	  //initilaize the TEA
}
