

$NOMOD51

 NAME NOTOUCH921
 
 //PGM_MTP    EQU 0FF03H
 PGM_MTP    EQU 0FF03H
 IEN0 		EQU 00A8H
 EA   		EQU IEN0.7
AUXR1		EQU	0A2H		;auxr 1 register
SRST		EQU	8H		;OR mask for software reset bit


EXTRN CODE(GET2)

 ?PR?no_touch921?NOTOUCH921     SEGMENT CODE
    public no_touch921

; activate the Bootloader   
   ; void no_touch925(){
   
    RSEG ?PR?no_touch921?NOTOUCH921
no_touch921:
    push    IEN0            ;save EA Status
    clr     EA              ;disable int's
    mov     R0,     #0FFH   ;IAP authourisation key first
    mov     @R0,    #96H
    mov     A,      #02
    mov     R5,     #01     ;write bootstat with 01H
    mov     R7,     #03
    lcall   PGM_MTP
    
    ;mkb added boot vector for the ISP (31-Dec-2006) 
    mov     R0,     #0FFH   ;IAP authorisation key first
    mov     @R0,    #96H
    mov     A,      #02
    mov     R5,     #0FH     ;write bootvec with 0FH
    mov     R7,     #02
    lcall   PGM_MTP
    
    
    pop     IEN0            ;restore EA status
	ORL	AUXR1,#SRST	;set the software reset bit

    RET

  
  END

						   